You are not logged in.

#1 2021-04-17 13:41:59

mocambo
Member
Registered: 2017-09-24
Posts: 27

Stellarium → Insufficient OpenGL version → Segmentation fault

Hello !

Running Stellarium gives me a Segmentation fault error. Where I should start solving this ?

$ stellarium
 -----------------------------------------------------
[ This is Stellarium 0.21.0 - https://stellarium.org/ ]
[ Copyright (C) 2000-2021 Fabien Chereau et al.       ]
 -----------------------------------------------------
Writing log file to: "/home/mocambo/.stellarium/log.txt"
File search paths:
  0 .  "/home/mocambo/.stellarium"
  1 .  "/usr/share/stellarium"
Attempting to use an existing older config file.
Clear cache and update config.ini...
Config file is:  "/home/mocambo/.stellarium/config.ini"
Default surface format:  QSurfaceFormat(version 2.0, options QFlags<QSurfaceFormat::FormatOption>(), depthBufferSize -1, redBufferSize -1, greenBufferSize -1, blueBufferSize -1, alphaBufferSize -1, stencilBufferSize -1, samples -1, swapBehavior QSurfaceFormat::DefaultSwapBehavior, swapInterval 1, colorSpace QSurfaceFormat::DefaultColorSpace, profile  QSurfaceFormat::NoProfile)
Desired surface format:  QSurfaceFormat(version 2.1, options QFlags<QSurfaceFormat::FormatOption>(), depthBufferSize 24, redBufferSize 8, greenBufferSize 8, blueBufferSize 8, alphaBufferSize 8, stencilBufferSize 8, samples -1, swapBehavior QSurfaceFormat::DefaultSwapBehavior, swapInterval 1, colorSpace QSurfaceFormat::DefaultColorSpace, profile  QSurfaceFormat::NoProfile)
StelGLWidget constructor
StelGraphicsScene constructor
Xlib: sequence lost (0x101c2 > 0x1c4) in reply type 0x0!
Xlib: sequence lost (0x101d1 > 0x1d3) in reply type 0x0!
Xlib: sequence lost (0x101d6 > 0x1d8) in reply type 0x0!
initializeGL
OpenGL supported version:  "1.4 Mesa 20.3.4"
Current Format:  QSurfaceFormat(version 1.4, options QFlags<QSurfaceFormat::FormatOption>(DeprecatedFunctions), depthBufferSize 24, redBufferSize 8, greenBufferSize 8, blueBufferSize 8, alphaBufferSize 8, stencilBufferSize 8, samples 0, swapBehavior QSurfaceFormat::DefaultSwapBehavior, swapInterval 1, colorSpace QSurfaceFormat::DefaultColorSpace, profile  QSurfaceFormat::NoProfile)
StelMainView::init
Detected: OpenGL "1.4"
Driver version string: "1.4 Mesa 20.3.4"
GL vendor is "Intel Open Source Technology Center"
GL renderer is "Mesa DRI Intel(R) 915GM x86/MMX/SSE2"
Oops... Insufficient OpenGL version. Please update drivers, or graphics hardware.
Segmentation fault (core dumped)
# lspci | grep "VGA compatible controller"
00:02.0 VGA compatible controller: Intel Corporation Mobile 915GM/GMS/910GML Express Graphics Controller (rev 04)
$ cat /proc/cpuinfo
processor	: 0
vendor_id	: GenuineIntel
cpu family	: 6
model		: 13
model name	: Intel(R) Pentium(R) M processor 1.73GHz
stepping	: 8
microcode	: 0x20
cpu MHz		: 800.018
cache size	: 2048 KB
physical id	: 0
siblings	: 1
core id		: 0
cpu cores	: 1
apicid		: 0
initial apicid	: 0
fdiv_bug	: no
f00f_bug	: no
coma_bug	: no
fpu		: yes
fpu_exception	: yes
cpuid level	: 2
wp		: yes
flags		: fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov clflush dts acpi mmx fxsr sse sse2 ss tm pbe bts cpuid est tm2
bugs		: cpu_meltdown spectre_v1 spectre_v2 spec_store_bypass l1tf mds swapgs itlb_multihit
bogomips	: 1600.70
clflush size	: 64
cache_alignment	: 64
address sizes	: 32 bits physical, 32 bits virtual
power management:
$ uname -a
Linux archlinux 5.11.10-arch1-1.0 #1 SMP PREEMPT Sat, 27 Mar 2021 21:02:14 +0000 i686 GNU/Linux
# pacman -Qi xf86-video-intel
Name            : xf86-video-intel
Version         : 1:2.99.917+916+g31486f40-1.0
Description     : X.org Intel i810/i830/i915/945G/G965+ video drivers
Architecture    : i686
URL             : https://01.org/linuxgraphics
Licenses        : custom
Groups          : xorg-drivers
Provides        : xf86-video-intel-uxa  xf86-video-intel-sna
Depends On      : mesa  libxvmc  pixman  xcb-util>=0.3.9  systemd-libs
Optional Deps   : libxrandr: for intel-virtual-output [installed]
                  libxinerama: for intel-virtual-output [installed]
                  libxcursor: for intel-virtual-output [installed]
                  libxtst: for intel-virtual-output [installed]
                  libxss: for intel-virtual-output [installed]
Required By     : None
Optional For    : None
Conflicts With  : xorg-server<1.20  X-ABI-VIDEODRV_VERSION<24  X-ABI-VIDEODRV_VERSION>=25  xf86-video-intel-sna  xf86-video-intel-uxa  xf86-video-i810  xf86-video-intel-legacy
Replaces        : xf86-video-intel-uxa  xf86-video-intel-sna
Installed Size  : 2.30 MiB
Packager        : Andreas Baumann <mail@andreasbaumann.cc>
Build Date      : Sat 16 Jan 2021 06:49:05 PM EET
Install Date    : Wed 07 Apr 2021 08:59:43 PM EEST
Install Reason  : Explicitly installed
Install Script  : Yes
Validated By    : Signature

Last edited by mocambo (2021-04-17 13:56:48)

Offline

#2 2021-04-17 14:30:23

levi
Moderator
From: Yorkshire, UK
Registered: 2018-06-16
Posts: 1,179

Re: Stellarium → Insufficient OpenGL version → Segmentation fault

It states your GPU is too old first and then crashes.  I guess it's not too important to the developer once it informs you why it can't run.


Architecture: pentium4, Testing repos: Yes, Hardware: EeePC 901+2GB RAM+OS half on the SD card.

Offline

Board footer

Powered by FluxBB